Quassel IRC - Bug #1212

text inputWidget doesn’t expand in size in multiline mode on Mac OS X
04/12/2013 10:56 PM - stepheneb

Status: Resolved Start date: 04/12/2013
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Mac OS X
Description

Multiline mode is enabled. When | enter multiple lines by pressing shift-enter the multiple lines are displayed correctly in the

inputWidget but the inputWidget doesn't expand in size so the previous lines scroll up an out of sight.

Screenshot from Mac OS X:
VrgbgFD.png

Screenshot of feature working on linux:
2013-04-12_10-42-50.png

| have a branch where you can see what I've tried in my attempts to fix the problem:
https:/github.com/concord-consortium/quassel/tree/expand-multiline-entry-on-macos

I know very little about C++ or QT ... and the work in that branch does not fix the problem.
Perhaps it's just a bug in WTs QComboBox::AdjustToContents on Mac OS X.

| checked the QT bug tracker and didn't see a bug there.

System:

Mac OS X 10.6.8
QT 4.8.4 installed with homebrew

Tested on both stable v0.8.0 release of quassel and master branch build from 20130412:96d18ff3

Associated revisions

Revision 03d1b64d - 09/14/2016 11:01 PM - A. V. Lukyanov

Fix multiline textedit not expanding on OS X

Fixes #1212. Resolves GH-240.

Revision 1a819cc0 - 03/01/2018 12:06 AM - A. V. Lukyanov

Fix multiline textedit not expanding on OS X

Fixes #1212. Resolves GH-240.

(cherry picked from commit 03d1b64ddb8638465eafb4dca2dfd592739603cf)
Revision 0654be58 - 04/04/2018 11:14 PM - A. V. Lukyanov

Fix multiline textedit not expanding on OS X

Fixes #1212. Resolves GH-240.

(cherry picked from commit 03d1b64ddb8638465eafb4dca2dfd592739603cf)

History

#1 - 05/04/2013 02:06 PM - InfernoZeus

Same issue here on the latest version of OS X, with the latest official release.
https://github.com/concord-consortium/quassel/tree/expand-multiline-entry-on-macos

#2 - 09/14/2016 11:01 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset | 1b64 4 fb4dca2dfd5927 i
